<?php
require_once ("../../config/Cado.php");
require_once ("../notalmacen/cCatalogo.php");
$oCatalogo = new cCatalogo();
//defino una clase que voy a utilizar para generar los elementos sugeridos en autocompletar
class ElementoAutocompletar {
	var $value;
	var $label;
	var $catid;
	function __construct($label, $value,$catid){
		$this->label = $label;
		$this->value = $value;
		$this->catid = $catid;
	}
}
$datoBuscar = '%'.$_GET["term"].'%';
$est=1;
$lim=12;
$rs=$oCatalogo->filtrar($datoBuscar,$codbar,$est,$lim);
//creo el array de los elementos sugeridos
$arrayElementos = array();
//bucle para meter todas las sugerencias de autocompletar en el array
while ($fila = mysqli_fetch_array($rs))
{
	$largo=55;
	$producto=$fila["tb_producto_nom"];
	$n_producto=strlen($producto);
	$etiqueta= $producto." | ".$fila["tb_unidad_abr"];
	
	array_push($arrayElementos, new ElementoAutocompletar($etiqueta, $fila["tb_producto_nom"],$fila["tb_catalogo_id"]));
}
print_r(json_encode($arrayElementos));
?>